%global srcname pywebview
%global desc %{expand: \
pywebview is a lightweight cross-platform wrapper around a webview component
that allows to display HTML content in its own native GUI window. It gives 
you power of web technologies in your desktop application, hiding the fact 
that GUI is browser based. You can use pywebview either with a lightweight 
web framework like Flask or Bottle or on its own with a two way bridge 
between Python and DOM.

pywebview uses native GUI for creating a web component window: WinForms 
on Windows, Cocoa on macOS and QT or GTK on Linux. If you choose to freeze 
your application, pywebview does not bundle a heavy GUI toolkit or 
web renderer with it keeping the executable size small. pywebview is 
compatible with Python 3.}

Name:           python-%{srcname}
Version:        3.7.2
Release:        %autorelease
Summary:        Build GUI for your Python program with JavaScript, HTML and CSS

License:        BSD-3-Clause AND MIT
URL:            https://pywebview.flowrl.com
Source0:        https://github.com/r0x0r/pywebview/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pytest

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{srcname}-%{version}
# remove /usr/bin/python
sed -i '/^#![  ]*\/usr\/bin\/python/d' webview/__init__.py 

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files webview

%check
# running X server needed for the tests

%files -n python3-%{srcname} -f %{pyproject_files}
%license webview/lib/Microsoft.Toolkit.Forms.UI.Controls.WebView.LICENSE.md
%doc README.md

%changelog
%autochangelog
